PDFedit

PDF Software

Source (link to git-repo or to original if based on someone elses unmodified work): Add the source-code for this project on git.opendesktop.org

2
Score 85%
Description:

Complete editing of pdf documents is easy with PDFedit. You can change either raw pdf objects (for advanced users) or use predefined gui functions. For any support please follow steps at http://sourceforge.net/support/getsupport.php?group_id=177354

Last changelog:

12 years ago

0.3.1:
* german translation (thanks to Andreas Mantke)
* minor gui enhancements (added some missing tooltips...)
* bugfixes

0.3:
* Cygwin version
* russian translation
* speed ups
* bugfixes
* installation bugfixes

0.2.5:
* Bugfixes

0.2.4:
* 64bit compilability fix
* Fixed bug with units precision, 1234pt showing up as 1.23e+3pt
* Console scripts bug fixed (not running scripts from current directory)
* Added QSPdf.save() function
* Spanish translation added

0.2.3:
+ page rotation, text extraction,
+ simple drawing, lines, rectangles, layer control
+ revision control
+ text operations, highlight, strike through, delete, simple add, moving, color changing
+ simple pdf to xml support
+ everything based on QSA scripting language
+ access to raw pdf objects
...

Special devel features:
+ pdf to whatever format support

dagsoftware

9 years ago

bude aj natívna windowsová binárka, či len to oné cygwinové?

Report

chomee

11 years ago

pdf crashes when trying to import a document with different paper size.

Say you work on an A4 papaer and then try to import a 'letter' sized document - instant crash.

It would be good if pdfedit could offer on-the-fly conversion for similar-sized papers ( A4-letter seems like an easy fit) - or even better offer some import options: crop to size, scale bounding box, or just fit 1:1

The solution right now seems to be to print out the document from kpdf into desired paper size and then import it here.

Thanks for a great app!

Report

DieselPower

11 years ago

If you run gentoo it has a good ebuild in the sunrise overlay for the latest...

emerge layman
layman -a sunrise
emerge pdfedit

Report

ladykatlyn

11 years ago

Would love to try your editor.. but.. I can't even run ,/configure, I get this error:

configure: error: QTDIR environment variable must be set

I have the QT3 and QT4 dev stuff and the boost libs installed... although I get the feeling that isn't the issue, since the configure thing usually tells me what I'm missing...

Report

mdriftmeyer

11 years ago

Example using bashrc.

user@host:~$vim ~/.bashrc

QTDIR=/usr/share/qt3
QT4DIR=/usr/share/qt4
export QTDIR QT4DIR

:wq!

user@host:~$ cd path/To/Source

usr@host:~at/Source/Directory$./configure --with-qt-dir=$QTDIR

usr@host:~at/Source/Directory$make

Report

NosyMan

11 years ago

Hello there,

Every new version brings me another"patch session" and all related to QString and std::string...
For v0.2.3 I patched about 25 files. I tried to compille 0.3.1 and, of course, my old patch works no more. I'm tyred to patch again... I'm waiting for a 'working' version.

Report

bugmenot

11 years ago

the latest source version 0.3.1 is compiling fine with the ebuild at http://bugs.gentoo.org/show_bug.cgi?id=158188
and gentoo distribution


Nice software.

Report

paai

11 years ago

"QMAKESPEC environment variable must be set" although I installed qt-devel (Suse 10.1)

Report

Punkeren

11 years ago

./configure QTDIR=/usr/lib/ QMAKESPEC=/usr/share/qt3/mkspecs/

Report

paai

11 years ago

"QMAKESPEC environment variable must be set" although I installed qt-devel (Suse 10.1)

Report

BorgQueen

11 years ago

where would I find rtld(GNU_HASH). I can't find it anywhere. I found a few open suse and fedora rpm but no sources to build from.
Can you provide a complete deps list?

Thanks

Report

Superstoned

11 years ago

cool application!! I'd love to have network transparancy, though, why don't you guys use the KIOslaves and the KDE filedialog?

if platfrom-independence is a problem, maybe you can start using those when you port to Qt4, as KDE 4/Qt4 are platform independent :D

Report

dmonat0307

11 years ago

Thank you very much for sharing your work.
I read all comments and finally got a package being able to install on my Debian Etch (5,5 MB).
When trying to install the package there appears an error, telling me that pdfedit_0.3.0-1_i386.deb is trying to replace /usr/share/qt3/mkspecs/default which also is in qt3-dev-tools.
Can you please give me a hint how to solve this issue?
Thanks in advance.

Report

bakaraka

11 years ago

i install pdfedit 0.3 but when i try edit pdf document program crash,sory my english

Report

flocko

12 years ago

compiling exception:

configure: error: You need boost library to compile PDFedit

but boost is installed

suse 10.1
boost 1.33.1-17 (with yast)

what is the problem?

Report

mdriftmeyer

12 years ago

On Debian Sid /usr/include/boost isn't just one set of APIs so I just selected all available to cover all bases.

Report

Superstoned

12 years ago

Guys, I'd love to see some KDE integration. The KDE file-open dialog, the KDE toolbars and shortcut editor - you can add them easily and they would improve your app a lot... And of course network transparency would be great, and the KIOslaves give you that. Now I have to copy files over by hand...

Report

fcc

12 years ago

worked on version 0.2.5 but the application is too buggy. I was unable to delete one word from a pdf file, although it allowed me to add a word. Then I reopened the modified pdf file and found out that the page I modified was cut in half. :(

On Debian/unstable, compiling requires libqt3-dev-tools/stable, libqt3-headers/stable and libqt3-dev/stable, otherwise it fails. In addition, one needs Motif, docbook-xsl, and doxygen. Also libboost-*-dev libraries, a total of 12. At some point I had to do:
$export QTDIR=/usr/share/qt3
and continued with make again. The size of the resulting executable pdfedit is about 61MB. Wow.

Report

gohanz

12 years ago

A Slackware 11.0 package from www.slacky.it!

http://www.slacky.it/index.php?option=com_remository&Itemid=29&func=fileinfo&id=1607

Report

gohanz

12 years ago

PDFedit don't work to normal user, because a wrong permission on /usr/share/pdfedit.

Report

C

misuj1am

12 years ago

should be fixed in cvs now, thanks

Report

castroh

12 years ago

I have this errors when I try to compile the ./configure file:
checking for g++... no
checking for c++... no
checking for gpp... no
checking for aCC... no
checking for CC... no
checking for cxx... no
checking for cc++... no
checking for cl.exe... no
checking for FCC... no
checking for KCC... no
checking for RCC... no
checking for xlC_r... no
checking for xlC... no

What should I do?

Report

collinm

12 years ago

when i buil i get

/usr/lib64/gcc/x86_64-suse-linux/4.1.2/../../../../x86_64-suse-linux/bin/ld: cannot find -lqt-mt
collect2: ld returned 1 exit status

Report

anli

12 years ago

Have tried 0.2.4 with these env

QTDIR=/usr/qt/3/ QMAKESPEC="/usr/qt/3/mkspecs/linux-g++"

and have got the same error - 'src/kpdf-kde-3.3.2' dir still doesn't see qt3 :-(

Report

anli

12 years ago

... this way:

PATH=/usr/qt/3/bin:$PATH; QTDIR=/usr/qt/3/; QMAKESPEC="/usr/qt/3/mkspecs/linux-g++"; ./configure --prefix=/usr/local

Report

12 years ago

0.3.1:
* german translation (thanks to Andreas Mantke)
* minor gui enhancements (added some missing tooltips...)
* bugfixes

0.3:
* Cygwin version
* russian translation
* speed ups
* bugfixes
* installation bugfixes

0.2.5:
* Bugfixes

0.2.4:
* 64bit compilability fix
* Fixed bug with units precision, 1234pt showing up as 1.23e+3pt
* Console scripts bug fixed (not running scripts from current directory)
* Added QSPdf.save() function
* Spanish translation added

0.2.3:
+ page rotation, text extraction,
+ simple drawing, lines, rectangles, layer control
+ revision control
+ text operations, highlight, strike through, delete, simple add, moving, color changing
+ simple pdf to xml support
+ everything based on QSA scripting language
+ access to raw pdf objects
...

Special devel features:
+ pdf to whatever format support

product-maker bascha Jan 31 2016

product-maker 48 300

File (click to download) Version Description PackagetypeArchitecture Downloads Date Filesize DL OCS-Install
Pling
Details
license
version
0.3.1s
updated May 02 2007
added Jan 18 2007
downloads today
0
page views today 3
System Tags app software